import request from '@/utils/request'
export default {
    getLoadType(data) {
        return request({
            url: '/system-boot/dictData/getTypeIdData',
            method: 'post',
            data: data
        })
    },
    deptSubstationRelations(data) {
        return request({
            // url: '/harmonic-boot/harmonic/deptSubstationRelations',
            url: '/harmonic-boot/detailAnalysis/deptSubRelations',
            method: 'post',
            data: data,
        })
    },
    getLineInfo(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/deptInfo',
            method: 'post',
            data: data,

        })
    },
    deptInfolins(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/deptInfo',
            method: 'post',
            data: data,

        })
    },
    getSubstation(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/getSubInfoById',
            method: 'post',
            data: data,
        })
    },
    getLineInfoById(data) {
        return request({
            url: '/harmonic-boot/PollutionSubstation/getLineInfoById',
            method: 'post',
            data: data,
        })
    },
    loginDeptTree(data) {
        return request({
            url: '/user-boot/dept/loginDeptTree',
            method: 'post',
            // data: data,
        })
    },
    getAreaLineDetail(data) {
        return request({
            url: '/event-boot/area/getAreaLineDetail',
            method: 'post',
            data: data,
        })
    },
    getLineRank(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/getXbLineRank',
            method: 'post',
            data: data,
        })
    },
    guanzhou(data) {
        return request({
            url: '/pqs-auth/judgeToken/guangZhou',
            method: 'post',
            params: data,
        })
    },
    lineOverLimit(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/lineOverLimit',
            method: 'post',
            data: data,
        })
    },
    overAreaStatistics(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/overAreaStatistics',
            method: 'post',
            data: data,
        })
    },
    getTransientData(data) {
        return request({
            url: '/event-boot/transient/getTransientValue',
            method: 'post',
            data: data,
        })
    },
    getxbSubInfoById(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/getSubInfoById',
            method: 'post',
            data: data,
        })
    },
    getXbLineInfoById(data) {
        return request({
            url: '/harmonic-boot/detailAnalysis/getXbLineInfoById',
            method: 'post',
            data: data,
        })
    },
}